Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.jmx
Class MBeanInvocationHandler

    java.lang.Object
      org.jboss.net.axis.AxisInvocationHandler
          org.jboss.net.jmx.MBeanInvocationHandler

All Implemented Interfaces:
  InvocationHandler, Serializable

public class MBeanInvocationHandler
extends AxisInvocationHandler

* Helper class for dealing with remote JMX beans in typed or untyped ways. *

* @deprecated You should use the jaxrpc/wsdl approach instead. * @since 1. Oktober 2001, 18:22 * @author Christoph G. Jung * @version $Revision: 1.14 $

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.net.axis.AxisInvocationHandler
`AxisInvocationHandler.DefaultInterfaceMap, AxisInvocationHandler.DefaultMethodMap`

Field Summary

Fields inherited from class org.jboss.net.axis.AxisInvocationHandler
`call, endPoint, methodToInterface, methodToName, rootContext`

Constructor Summary
`MBeanInvocationHandler(org.apache.axis.client.Call call, Map methodMap, Map interfaceMap)` Creates new MBeanInvocationHandler
`MBeanInvocationHandler(URL endpoint, String soapAction)` Creates new MBeanInvocationHandler pointing to a given url, using the given engine
`MBeanInvocationHandler(URL endpoint, String soapAction, Map methodMap)` Creates new MBeanInvocationHandler pointing to a given url, using the given engine
`MBeanInvocationHandler(URL endpoint, String soapAction, Map methodMap, Map interfaceMap)` Creates new MBeanInvocationHandler pointing to a given url, using the given engine
`MBeanInvocationHandler(URL endpoint, String soapAction, Map methodMap, Map interfaceMap, boolean maintainSession)` Creates new MBeanInvocationHandler pointing to a given url, using the given engine
`MBeanInvocationHandler(URL endpoint, String soapAction, org.apache.axis.client.Service service, Map methodMap, Map interfaceMap)` Creates new MBeanInvocationHandler

Method Summary
`static Object` | `createMBeanService(Class _interface, MBeanInvocationHandler handler)` default creation of services
`static Object` | `createMBeanService(Class _interface, URL endpoint, String soapAction)` default creation of services

Methods inherited from class org.jboss.net.axis.AxisInvocationHandler
`createAxisService, createAxisService, createAxisService, createAxisService, invoke, invoke, invoke, setBasicAuthentication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanInvocationHandler

    public MBeanInvocationHandler(URL endpoint,
                                  String soapAction)

  Creates new MBeanInvocationHandler pointing to a given url, using the given engine

### MBeanInvocationHandler

    public MBeanInvocationHandler(URL endpoint,
                                  String soapAction,
                                  Map methodMap)

  Creates new MBeanInvocationHandler pointing to a given url, using the given engine

### MBeanInvocationHandler

    public MBeanInvocationHandler(URL endpoint,
                                  String soapAction,
                                  Map methodMap,
                                  Map interfaceMap)

  Creates new MBeanInvocationHandler pointing to a given url, using the given engine

### MBeanInvocationHandler

    public MBeanInvocationHandler(URL endpoint,
                                  String soapAction,
                                  Map methodMap,
                                  Map interfaceMap,
                                  boolean maintainSession)

  Creates new MBeanInvocationHandler pointing to a given url, using the given engine

### MBeanInvocationHandler

    public MBeanInvocationHandler(org.apache.axis.client.Call call,
                                  Map methodMap,
                                  Map interfaceMap)

  Creates new MBeanInvocationHandler

### MBeanInvocationHandler

    public MBeanInvocationHandler(URL endpoint,
                                  String soapAction,
                                  org.apache.axis.client.Service service,
                                  Map methodMap,
                                  Map interfaceMap)

  Creates new MBeanInvocationHandler

Method Detail

### createMBeanService

    public static Object createMBeanService(Class _interface,
                                            URL endpoint,
                                            String soapAction)

  default creation of services

### createMBeanService

    public static Object createMBeanService(Class _interface,
                                            MBeanInvocationHandler handler)

  default creation of services

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.